Skip to content

Early bird status api guide

Authentication

The status api uses the same OAuth authentication as the booking api

Terminal window
curl -s -X POST "https://stage.earlybird.se/auth/token" \
-H "Content-Type: application/json" \
-d "{"username": "USERNAME", "password": "PASSWORD"}"

Auth api description can be found here

Api Request

Terminal window
# Authenticate
TOKEN=$(curl -s -X POST "https://stage.earlybird.se/auth/token" \
-H "Content-Type: application/json" \
-d '{"username": "USERNAME", "password": "PASSWORD"}' | jq -r '.token')
# Call GET latest status
curl -s -X GET "https://stage.earlybird.se/v1/status/UJ214396128SE/latest?language=en" \
-H "Authorization: Bearer $TOKEN"
# Call GET all statuses
curl -s -X GET "https://stage.earlybird.se/v1/status/UJ214396128SE/all?language=en" \
-H "Authorization: Bearer $TOKEN"

Api Response

GetLatestStatusResponse example

{
"status": {
"status": "DeliverySucceeded",
"detailedStatus": "DeliverySucceededMailbox",
"eventTimestamp": "2024-11-15T03:57:31Z",
"location": "Huddinge",
"detailedStatusDescription": "The package has been delivered to the mailbox.",
"consumerDescription": "The package has been delivered to your mailbox.",
"displayToConsumer": true
},
"trackingIds": [
"00595200000070638522"
],
"distributionType": "EarlyBird"
}

GetAllStatusesResponse example

{
"statuses": [
{
"status": "DeliverySucceeded",
"detailedStatus": "DeliverySucceededMailbox",
"eventTimestamp": "2024-11-15T03:57:31Z",
"location": "Huddinge",
"detailedStatusDescription": "The package has been delivered to the mailbox.",
"consumerDescription": "The package has been delivered to your mailbox.",
"displayToConsumer": true
},
{
"status": "TerminalArrived",
"detailedStatus": "ArrivedT3NoAlias",
"eventTimestamp": "2024-11-14T22:30:09Z",
"location": "Premo 141 HUDDINGE",
"detailedStatusDescription": "The package has arrived at terminal (T3). No alias.",
"consumerDescription": "Your package has arrived at the terminal in Premo 141 HUDDINGE.",
"displayToConsumer": true
},
{
"status": "DeliveryStarted",
"detailedStatus": "DeliveryStarted",
"eventTimestamp": "2024-11-14T16:10:00Z",
"location": "NY LASTGRUPP 1",
"detailedStatusDescription": "The package is activated for delivery.",
"consumerDescription": null,
"displayToConsumer": false
},
{
"status": "TerminalArrived",
"detailedStatus": "ArrivedT2",
"eventTimestamp": "2024-11-14T16:06:41Z",
"location": "Stockholm",
"detailedStatusDescription": "The package has arrived at terminal (T2).",
"consumerDescription": "Your package has arrived at the terminal in Stockholm.",
"displayToConsumer": true
},
{
"status": "TerminalUpdated",
"detailedStatus": "ParcelUpdated",
"eventTimestamp": "2024-11-13T10:11:30.797Z",
"location": "",
"detailedStatusDescription": "The package’s weight and/or size have been updated.",
"consumerDescription": null,
"displayToConsumer": false
},
{
"status": "TerminalArrived",
"detailedStatus": "ArrivedT1",
"eventTimestamp": "2024-11-13T10:11:30.797Z",
"location": "Early Bird Göteborg",
"detailedStatusDescription": "The package has arrived at terminal (T1).",
"consumerDescription": "Your package has arrived at the terminal in Early Bird Göteborg.",
"displayToConsumer": true
},
{
"status": "Ingested",
"detailedStatus": "Ingested",
"eventTimestamp": "2024-11-13T10:11:30.797Z",
"location": "Early Bird Göteborg",
"detailedStatusDescription": "Early Bird has received the package.",
"consumerDescription": "Early Bird has received your package.",
"displayToConsumer": true
}
],
"trackingIds": [
"00595200000070638522"
],
"distributionType": "EarlyBird"
}